Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.adhoc
Interface AdhocEngineInfo

Deprecated. As of version 8, no replacement.

    public interface AdhocEngineInfo

This `AdhocEngineInfo` takes charge of collecting a JReport Analysis Engine's information.

Method Summary
`long` | `getCreatedTime()` Deprecated. Gets the engine's created time.
`java.lang.String` | `getEngineID()` Deprecated. Gets the identifier of Adhoc Engine.
`java.lang.String[]` | `getReports()` Deprecated. Gets currently running report's name.
`java.lang.String` | `getRunningReport()` Deprecated. Gets currently running report, the report file name with full path in resource tree
`java.lang.String` | `getRunningStatus()` Deprecated. Gets the engine's running status, running-process track point.
`long` | `getRunningTime()` Deprecated. Gets the time this engine spent on running current report.
`java.lang.String` | `getSessionID()` Deprecated. Gets the Session's identifier, which the Engines belongs to.

Method Detail

### getEngineID

    java.lang.String getEngineID()

  Deprecated.
  Gets the identifier of Adhoc Engine.

  Returns:
    the identifier of Adhoc Engine.

### getSessionID

    java.lang.String getSessionID()

  Deprecated.
  Gets the Session's identifier, which the Engines belongs to.

  Returns:
    the Session's ID.

### getRunningStatus

    java.lang.String getRunningStatus()

  Deprecated.
  Gets the engine's running status, running-process track point.

  Returns:
    The engine's running status.

### getReports

    java.lang.String[] getReports()

  Deprecated.
  Gets currently running report's name.

  Returns:
    Currently running report's name.

### getRunningReport

    java.lang.String getRunningReport()

  Deprecated.
  Gets currently running report, the report file name with full path in resource tree

  Returns:
    Currently running report file name.

### getCreatedTime

    long getCreatedTime()

  Deprecated.
  Gets the engine's created time.

  Returns:
    The engine's created time.

### getRunningTime

    long getRunningTime()

  Deprecated.
  Gets the time this engine spent on running current report.

  Returns:
    The time this engine spent on running current report.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD